# Étape 1 : Utiliser l'image Node.js comme étape de construction
FROM node:14 AS build-stage

# Installer Angular CLI de façon globale
RUN npm install -g @angular/cli

# Définir le répertoire de travail
WORKDIR /app

# Copier les fichiers de package.json et package-lock.json pour installer les dépendances
COPY angular-11-social-login/package*.json ./

# Installer les dépendances
RUN npm install

# Copier le reste du code de l'application
COPY angular-11-social-login/ .

# Construire l'application Angular en mode production
RUN ng build --prod --no-progress

# Étape 2 : Utiliser l'image NGINX comme étape de production
FROM nginx

# Copier le contenu du répertoire "dist" de l'application Angular dans le répertoire racine de Nginx
COPY --from=build-stage /app/dist/Angular11SocialLogin /usr/share/nginx/html

# Exposer le port 80 pour permettre l'accès à l'application via HTTP
EXPOSE 80
